Bug 1879991 - [release 4.5] cluster-authentication-operator: Fix bug in reflector not recovering from "Too large resource version"
Summary: [release 4.5] cluster-authentication-operator: Fix bug in reflector not recov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Venkata Siva Teja Areti
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1880369
Blocks: 1879901
TreeView+ depends on / blocked
 
Reported: 2020-09-17 14:04 UTC by Lukasz Szaszkiewicz
Modified: 2020-09-30 14:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1879901
Environment:
Last Closed: 2020-09-30 14:07:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3760 0 None None None 2020-09-30 14:08:15 UTC

Comment 3 Venkata Siva Teja Areti 2020-09-18 14:24:16 UTC
cluster-authentication-operator is already bumped to v0.18.6 which includes the fix.

https://github.com/openshift/cluster-authentication-operator/blob/release-4.5/vendor/k8s.io/client-go/tools/cache/reflector.go#L259

Comment 10 errata-xmlrpc 2020-09-30 14:07:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3760


Note You need to log in before you can comment on or make changes to this bug.